List counterparties
curl --request GET \
--url https://api.conduit.financial/counterparties \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>'import requests
url = "https://api.conduit.financial/counterparties"
headers = {
"X-API-Key": "<api-key>",
"X-API-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'X-API-Secret': '<api-key>'}
};
fetch('https://api.conduit.financial/counterparties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1234",
"type": "individual",
"firstName": "John",
"middleName": "Snow",
"lastName": "Smith",
"birthDate": "2020-03-15",
"nationality": "US",
"email": "contact@globaltechsolutions.com",
"phone": "+1-555-123-4567",
"identificationType": "curp",
"identificationNumber": "123",
"address": {
"streetLine1": "21 Jump Street",
"streetLine2": "Unit 708",
"city": "Boston",
"state": "MA",
"postalCode": "02111",
"country": "USA"
},
"paymentMethods": [
{
"id": "1234",
"type": "bank",
"rail": [
"ted",
"pix"
],
"bankName": "First National Bank",
"accountType": "checking",
"accountOwnerName": "Global Tech Solutions",
"accountNumber": "123456789",
"routingNumber": "123",
"swiftCode": "FNBOUS33",
"branchCode": "1234",
"bankCode": "123",
"currency": "USD",
"address": {
"streetLine1": "21 Jump Street",
"streetLine2": "Unit 708",
"city": "Boston",
"state": "MA",
"postalCode": "02111",
"country": "USA"
}
},
{
"id": "bank_1234",
"type": "wallet",
"rail": "ethereum",
"walletAddress": "0X0000000",
"walletLabel": "Gus Personal ETH Wallet"
},
{
"id": "wlt_1234",
"type": "wallet",
"rail": "tron",
"walletAddress": "T0000000",
"walletLabel": "Gus Personal Tron Wallet"
}
],
"documents": [
{
"documentId": "doc_1234",
"documentPurpose": "recurring_payment",
"documentType": "invoice",
"documentName": "invoice.png",
"uploadedAt": "2023-10-15T09:30:00Z"
}
],
"messages": [],
"status": "active",
"createdAt": "2024-01-01T10:00:00Z",
"updatedAt": "2024-02-15T15:45:00Z"
}
],
"links": {
"first": "/counterparties",
"next": null
}
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}Counterparties
List counterparties
List client’s existing counterparties
GET
/
counterparties
List counterparties
Authorizations
Includes an API key in the HTTP headers to authenticate the client.
Includes an API secret in the HTTP headers to authenticate the client.
Query Parameters
The number of items to return per page.
Pattern:
^[0-9]*$Example:
"0"
The cursor to start the page after.
Pattern:
^cp_[a-zA-Z0-9]{27}$Example:
"cp_2ofTA13AD0xBtbEvBl20aEb1hEu"
Response
A page of listed counterparty objects
- Option 1
- Option 2
Show child attributes
Show child attributes
Example:
{
"id": "1234",
"type": "individual",
"firstName": "John",
"middleName": "Snow",
"lastName": "Smith",
"birthDate": "2020-03-15",
"nationality": "US",
"email": "contact@globaltechsolutions.com",
"phone": "+1-555-123-4567",
"identificationType": "curp",
"identificationNumber": "123",
"address": {
"streetLine1": "21 Jump Street",
"streetLine2": "Unit 708",
"city": "Boston",
"state": "MA",
"postalCode": "02111",
"country": "USA"
},
"paymentMethods": [
{
"id": "1234",
"type": "bank",
"rail": ["ted", "pix"],
"bankName": "First National Bank",
"accountType": "checking",
"accountOwnerName": "Global Tech Solutions",
"accountNumber": "123456789",
"routingNumber": "123",
"swiftCode": "FNBOUS33",
"branchCode": "1234",
"bankCode": "123",
"currency": "USD",
"address": {
"streetLine1": "21 Jump Street",
"streetLine2": "Unit 708",
"city": "Boston",
"state": "MA",
"postalCode": "02111",
"country": "USA"
}
},
{
"id": "bank_1234",
"type": "wallet",
"rail": "ethereum",
"walletAddress": "0X0000000",
"walletLabel": "Gus Personal ETH Wallet"
},
{
"id": "wlt_1234",
"type": "wallet",
"rail": "tron",
"walletAddress": "T0000000",
"walletLabel": "Gus Personal Tron Wallet"
}
],
"documents": [
{
"documentId": "doc_1234",
"documentPurpose": "recurring_payment",
"documentType": "invoice",
"documentName": "invoice.png",
"uploadedAt": "2023-10-15T09:30:00Z"
}
],
"messages": [],
"status": "active",
"createdAt": "2024-01-01T10:00:00Z",
"updatedAt": "2024-02-15T15:45:00Z"
}
Show child attributes
Show child attributes
Example:
{ "first": "/counterparties", "next": null }
⌘I

